Creating wiki pages with special characters may be problematic

2012-03-09 15:42 - André Bachmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.3.1

Description

I recently noticed some little quirks when creating wiki pages with certain special characters.

For instance, I can write on a wiki page a link to a new page as [[M&P]]. As soon as I click on submit, the link to this page is shown in

the wiki as M& (without the letter P). However, the resulting wiki page is called M&#38P.

The next problem is when I write a link as [[M#P]] on a wiki page and click on submit. This link is shown as M, the resulting wiki page

gets the name M#P, which may dangerous because a hash # has a special meaning in URLs.

Let's look at a link [[M%P]]. The resulting link to this wiki page is correctly shown as M%P. But the wiki page itself is named M%25P.

My Redmine environment:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.6.2

Rack version              1.1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /opt/redmine-1.3.1-0/apps/redmine

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Redmine Wiki Extensions plugin   0.3.8

Redmine Logs plugin              0.0.3

Related issues:

Related to Redmine - Defect #14071: HTML links weird when using special chara... Closed

Is duplicate of Redmine - Defect #22967: Special character like quote breaks ... Closed

History

#1 - 2012-03-09 15:51 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#2 - 2012-03-09 16:07 - André Bachmann

There is also a problem when using these characters in a wiki text (may be related with this issue, so I post it here): If I write a percent sign directly

followd by a comma, the percent sign isn't shown in the resulting wiki page (only the comma is shown). If I write an ampersand directly followed by a

comma, it is shown as x%x, which is quite weird.

#3 - 2012-05-17 13:23 - Alexander Oryol

- File 0001-Fix-6991-ampersand-in-pagename.patch added

Added the small patch to solve the issue.

#4 - 2012-11-09 08:34 - André Bachmann
Any chance that this patch gets integrated into Redmine?

#5 - 2013-04-24 11:06 - Francesco V

Page "Version 1.2.3" result in "Version 123"

#6 - 2013-06-06 16:10 - Jaroslav Povolný

Confirming this issue, in Redmine 2.3

#7 - 2014-02-06 16:26 - carlos castro

- File error.jpg added

Is this solved?

When i create a link that has an accent in a wiki it returns me his html code (check image)...

My env:

Environment:

Redmine version                2.3.3.stable

Ruby version                   2.0.0-p247 (2013-06-27) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               PostgreSQL

Redmine plugins:

planner                        0.4

redmine_backlogs               v1.0.6

redmine_charts2                0.2.1

redmine_ckeditor               1.0.15

redmine_didyoumean             1.2.0

redmine_importer               1.2

redmine_loader                 0.3b

redmine_schedules              0.5.0

redmine_summed_fields          0.0.2

redmine_todos                  2.0.5

scrum2b                        0.1

under_construction             0.0.1

is there any workaround for this?

#8 - 2018-05-14 23:57 - Marius BĂLTEANU

- Status changed from Confirmed to Closed

- Target version deleted (Candidate for next minor release)

- Resolution set to Duplicate

A patch that fixes this issue was submitted to #22967. I think that it is safe to close this issue as duplicated.

#9 - 2018-05-14 23:57 - Marius BĂLTEANU

- Is duplicate of Defect #22967: Special character like quote breaks wiki links added

Files

0001-Fix-6991-ampersand-in-pagename.patch 845 Bytes 2012-05-17 Alexander Oryol

error.jpg 33.5 KB 2014-02-06 carlos castro
